Subject: Offline Message from Adam: Hello. I purchased the T6 device recently and I h
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Sat, 27 Aug 2022 02:25:17 -0000

From: Adam <[email-masked]>
Phone: 
Location: Miami, United States
URL: https://swagtron.com/my-account/view-order/578672/
Department: SwagTron

Hello.  I purchased the T6 device recently and I have been getting used to your model. On pavement it works fine so far, but the off-road ability seems to leave a lot to be desired.  What is your definition of off-road?  I live in the woods and have a lot of small twigs, rocks, uneven ground (what "I" think of for off-road) and yet this unit does not seem to have the capability to handle it, it can barely get me moving on flat dirt and/or rocks.  On pavement, no problem.  Thoughts?  Thanks.

----
Zopim
https://www.zopim.com